Subject: Grace on the Wing - book profiled in Audubon

From: "William E. Rhodes, III" <[email-masked]>
Date: Thu, 5 Dec 1996 22:03:20 GMT

The Nov.-Dec. issue of Audubon gives a very brief profile of a book on
Saturniids (Grace on the Wing, University of North Carolina Press).  I
am not able to determine if the book has anything more than 
illustrations from this review - if anyone has seen the book, I would 
appreciate comments as to its content and quality, and if the text 
covers life history, range, or any other aspects of Saturniid biology.

Thanks,

Bill Rhodes